R Studio install_keras() Unable to install python error code 1

Hi, i am having trouble using install_keras() in RStudio.

I have installed Anadonda onto my D: drive and when I run the command, this is what i get…

Show in New WindowClear OutputExpand/Collapse Output
Collecting package metadata (current_repodata.json): …working… done
Solving environment: …working… done

Package Plan

environment location: C:\Users\john-\AppData\Local\R-MINI~1\envs\r-reticulate

added / updated specs:
- python=3.6

The following NEW packages will be INSTALLED:

pip conda-forge/noarch::pip-21.2.4-pyhd8ed1ab_0
python conda-forge/win-64::python-3.6.13-h39d44d4_2_cpython
python_abi conda-forge/win-64::python_abi-3.6-2_cp36m
setuptools conda-forge/win-64::setuptools-58.0.4-py36ha15d459_2
ucrt conda-forge/win-64::ucrt-10.0.20348.0-h57928b3_0
vc conda-forge/win-64::vc-14.2-hb210afc_5
vs2015_runtime conda-forge/win-64::vs2015_runtime-14.29.30037-h902a5da_5
wheel conda-forge/noarch::wheel-0.37.0-pyhd8ed1ab_1

Preparing transaction: …working… done
Verifying transaction: …working… done
Executing transaction: …working… done

To activate this environment, use

$ conda activate r-reticulate

To deactivate an active environment, use

$ conda deactivate

[1] “C:\Users\john-\AppData\Local\r-miniconda\envs\r-reticulate\python.exe”
Collecting package metadata (current_repodata.json): …working… done
Solving environment: …working… done

Package Plan

environment location: C:\Users\john-\AppData\Local\R-MINI~1\envs\r-reticulate

added / updated specs:
- tensorflow

The following NEW packages will be INSTALLED:

absl-py conda-forge/noarch::absl-py-0.14.0-pyhd8ed1ab_0
astor conda-forge/noarch::astor-0.8.1-pyh9f0ad1d_0
ca-certificates conda-forge/win-64::ca-certificates-2021.5.30-h5b45459_0
dataclasses conda-forge/noarch::dataclasses-0.8-pyh787bdff_2
gast conda-forge/noarch::gast-0.5.0-pyhd8ed1ab_0
google-pasta conda-forge/noarch::google-pasta-0.2.0-pyh8c360ce_0
grpcio conda-forge/win-64::grpcio-1.38.1-py36h4374274_0
h5py conda-forge/win-64::h5py-2.10.0-nompi_py36h654ec23_106
hdf5 conda-forge/win-64::hdf5-1.10.6-nompi_h5268f04_1114
importlib-metadata conda-forge/win-64::importlib-metadata-4.8.1-py36ha15d459_0
intel-openmp conda-forge/win-64::intel-openmp-2021.3.0-h57928b3_3372
keras-applications conda-forge/noarch::keras-applications-1.0.8-py_1
keras-preprocessi~ conda-forge/noarch::keras-preprocessing-1.1.2-pyhd8ed1ab_0
krb5 conda-forge/win-64::krb5-1.19.2-hbae68bd_2
libblas conda-forge/win-64::libblas-3.9.0-11_win64_mkl
libcblas conda-forge/win-64::libcblas-3.9.0-11_win64_mkl
libcurl conda-forge/win-64::libcurl-7.79.1-h789b8ee_1
liblapack conda-forge/win-64::liblapack-3.9.0-11_win64_mkl
libprotobuf conda-forge/win-64::libprotobuf-3.18.0-h7755175_1
libssh2 conda-forge/win-64::libssh2-1.10.0-h680486a_2
libzlib conda-forge/win-64::libzlib-1.2.11-h8ffe710_1013
m2w64-gcc-libgfor~ conda-forge/win-64::m2w64-gcc-libgfortran-5.3.0-6
m2w64-gcc-libs conda-forge/win-64::m2w64-gcc-libs-5.3.0-7
m2w64-gcc-libs-co~ conda-forge/win-64::m2w64-gcc-libs-core-5.3.0-7
m2w64-gmp conda-forge/win-64::m2w64-gmp-6.1.0-2
m2w64-libwinpthre~ conda-forge/win-64::m2w64-libwinpthread-git-5.0.0.4634.697f757-2
markdown conda-forge/noarch::markdown-3.3.4-pyhd8ed1ab_0
mkl conda-forge/win-64::mkl-2021.3.0-hb70f87d_564
msys2-conda-epoch conda-forge/win-64::msys2-conda-epoch-20160418-1
numpy conda-forge/win-64::numpy-1.19.5-py36h4b40d73_2
openssl conda-forge/win-64::openssl-1.1.1l-h8ffe710_0
protobuf conda-forge/win-64::protobuf-3.18.0-py36he2d232f_0
pyreadline conda-forge/win-64::pyreadline-2.1-py36ha15d459_1004
scipy conda-forge/win-64::scipy-1.5.3-py36h27d303f_1
six conda-forge/noarch::six-1.16.0-pyh6c4a22f_0
tbb conda-forge/win-64::tbb-2021.3.0-h2d74725_0
tensorboard conda-forge/win-64::tensorboard-1.14.0-py36_0
tensorflow conda-forge/win-64::tensorflow-1.14.0-h39a9291_0
tensorflow-base conda-forge/win-64::tensorflow-base-1.14.0-py36h9f0ad1d_0
tensorflow-estima~ conda-forge/win-64::tensorflow-estimator-1.14.0-py36h5ca1d4c_0
termcolor conda-forge/noarch::termcolor-1.1.0-py_2
tk conda-forge/win-64::tk-8.6.11-h8ffe710_1
typing_extensions conda-forge/noarch::typing_extensions-3.10.0.2-pyha770c72_0
werkzeug conda-forge/noarch::werkzeug-2.0.1-pyhd8ed1ab_0
wrapt conda-forge/win-64::wrapt-1.12.1-py36h68aa20f_3
zipp conda-forge/noarch::zipp-3.5.1-pyhd8ed1ab_0
zlib conda-forge/win-64::zlib-1.2.11-h8ffe710_1013

Preparing transaction: …working… done
Verifying transaction: …working… done
Executing transaction: …working… done
Collecting package metadata (current_repodata.json): …working… done
Solving environment: …working… failed with initial frozen solve. Retrying with flexible solve.
Solving environment: …working… failed with repodata from current_repodata.json, will retry with next repodata source.
Collecting package metadata (repodata.json): …working… done
Solving environment: …working… failed with initial frozen solve. Retrying with flexible solve.

Found conflicts! Looking for incompatible packages.
This can take several minutes. Press CTRL-C to abort.
failed

UnsatisfiableError: The following specifications were found to be incompatible with a past
explicit spec that is not an explicit spec in this operation (python):

  • python=3.7

The following specifications were found to be incompatible with each other:

Output in format: Requested package → Available versions

Package libssh2 conflicts for:
tensorflow-base → libcurl[version=’>=7.78.0,<8.0a0’] → libssh2[version=’>=1.10.0,<2.0a0|>=1.9.0,<2.0a0’]
libcurl → libssh2[version=’>=1.10.0,<2.0a0|>=1.8.0,<2.0a0|>=1.8.2,<2.0a0|>=1.9.0,<2.0a0’]
libssh2
hdf5 → libcurl[version=’>=7.71.1,<8.0a0’] → libssh2[version=’>=1.10.0,<2.0a0|>=1.9.0,<2.0a0’]

.
.
.

Error: installation of ‘python=3.7’ into environment ‘C:/Users/john-/AppData/Local/r-miniconda/envs/r-reticulate’ failed [error code 1]